Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1364647 - Review Request: nodejs-svgmin - Minify SVG files
Summary: Review Request: nodejs-svgmin - Minify SVG files
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1364646 1364959
Blocks: nodejs-reviews Node-RED 1364648
TreeView+ depends on / blocked
 
Reported: 2016-08-06 08:12 UTC by Jared Smith
Modified: 2017-09-22 14:04 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-22 14:04:32 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Jared Smith 2016-08-06 08:12:11 UTC
Spec URL: https://jsmith.fedorapeople.org/Packaging/nodejs-svgmin/nodejs-svgmin.spec
SRPM URL: https://jsmith.fedorapeople.org/Packaging/nodejs-svgmin/nodejs-svgmin-0.1.0-1.fc26.src.rpm
Description: Minify SVG files
Fedora Account System Username: jsmith

Comment 1 Jeroen van Meeuwen 2016-08-07 10:53:28 UTC
These need resolving:

nodejs-svgmin.noarch: E: zero-length /usr/lib/node_modules/svgmin/index.js

I do not see the RPM ship any other code? The tarball from npmjs.org seems to ship an empty index.js indeed.

nodejs-svgmin.src:19: W: macro-in-comment %{version}
nodejs-svgmin.src:42: W: macro-in-comment %setup

Note that 'npm search svgmin' does not return 'svgmin 0.1.0' and npmjs.org currently does not show the package metadata information because of a failure to find a readme.

Comment 2 Jared Smith 2016-08-09 13:04:37 UTC
Good catch... I've fixed this to pull index.js from GitHub instead of from the NPM tarball.  This introduced a new dependency, nodejs-ware, which itself has a new dependency (nodejs-wrap-fn).  Those have been submitted for package review.

Spec URL: https://jsmith.fedorapeople.org/Packaging/nodejs-svgmin/nodejs-svgmin.spec
SRPM URL: https://jsmith.fedorapeople.org/Packaging/nodejs-svgmin/nodejs-svgmin-0.1.0-1.fc26.src.rpm

Comment 4 Robert-André Mauchin 2017-09-22 12:59:36 UTC
All good, package accepted.

Comment 5 Jared Smith 2017-09-22 13:06:22 UTC
'Requested package in ticket https://pagure.io/releng/fedora-scm-requests/issue/1518'

Comment 6 Gwyn Ciesla 2017-09-22 13:11:19 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/nodejs-svgmin

Comment 7 Jared Smith 2017-09-22 14:04:32 UTC
In rawhide, closing bug


Note You need to log in before you can comment on or make changes to this bug.